> For the complete documentation index, see [llms.txt](https://docs.cnpj.ws/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cnpj.ws/en/api-reference/api-publica/limitacoes.md).

# Limitations

The Public API has a limitation of serving only 3 requests per minute from the same IP. Understand that this limitation is independent of whether the query was successful in finding the CNPJ. After exceeding this limit, the requester will have to wait for 60 seconds to make the next request.

The user will receive an error message and HTTP Status Code 429:

```shell
{
  "status": 429,
  "title": "Too Many Requests",
  "details": "Exceeded the maximum limit of 3 queries per minute. Release will occur on Thu Jun 03 2021 16:15:00 GMT-0300 (Brasilia Standard Time)"
}
```

If the API identifies that the user has made more than 360 queries per hour (the allowed limit is 3 x 60 = 180), the user will be penalized and will not be able to make queries for 1 hour. If this persists, the penalty will be renewed for another hour. Example:

```shell
{
  "status": 429,
  "title": "Too Many Requests",
  "details": "Exceeded the maximum limit of 429 errors per hour. Release will occur on Thu Jun 03 2021 16:15:00 GMT-0300 (Brasilia Standard Time)"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cnpj.ws/en/api-reference/api-publica/limitacoes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
